Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
1finny Posted on 07/10/2019 12:37
Looks like Pizza Express is in trouble
 
According to reports - average debt per site is £1.6m.
500 sites.
Due for discussions with their creditors.

Havenít been in one since the kids were young. Tough competition out there now......Nandoís et al
IP: Logged
Ingleby_Flash Posted on 07/10/2019 12:41

Looks like Pizza Express is in trouble
Their Christmas Pizza is being released soon. It's Deep Pan, Crisp and Even.
IP: Logged
red_harrington Posted on 07/10/2019 12:47

Looks like Pizza Express is in trouble
A bit of bread with £1.50 to have half a mushroom put on top

I don't understand how a pizza business can fail to make money
IP: Logged
Tomkd Posted on 07/10/2019 12:48

Looks like Pizza Express is in trouble
Iím not surprised I find them very expensive and not that nice, you can get much better sit in restaurant pizza for quite a bit less and takeaway for a fraction of the price.
IP: Logged
atypical_boro Posted on 07/10/2019 12:48

Looks like Pizza Express is in trouble
Rental costs, Harrington? These central London sites don't come cheap.
IP: Logged
Ironops Posted on 07/10/2019 12:55

Looks like Pizza Express is in trouble
the backside has fallen out of the casual dining market, in the same way pubs have been closing down for year - habits have changed

There are now so many delivery services, its possible to get whatever you want delivered to your door, so people stay in and watch box sets instead of going out like they used to
IP: Logged
DCI_Gene_Hunt Posted on 07/10/2019 12:56

Looks like Pizza Express is in trouble
They are to Italian food what Nandos are to Chicken.

Never understood what people see in them.

Over priced bang average food with less than great customer service.
IP: Logged
Supermac Posted on 07/10/2019 12:57

Looks like Pizza Express is in trouble
How badly managed are they for each restaurant to be £1.5m in debt? They sell Pizza how does that even happen
IP: Logged
uncle_rico Posted on 07/10/2019 12:58

Looks like Pizza Express is in trouble
They've been heading that way ever since they announced that they use halal certified chicken.
IP: Logged
Ironops Posted on 07/10/2019 12:59

Looks like Pizza Express is in trouble
im guessing business rates and property costs have a lot to do with it as well
IP: Logged
atypical_boro Posted on 07/10/2019 13:00

Looks like Pizza Express is in trouble
Thats *average* debt Supermac. Some will be way above that and some breaking even.

I don't find Pizza Express overpriced, but thats because their business model appears to be largely centred on deals and vouchers, so I never ever go in one and pay full price.

Will be sad to see it go to be honest, though I'm sure I'll have no trouble getting decent pizza elsewhere.
IP: Logged
FlapJacks Posted on 07/10/2019 13:04

Looks like Pizza Express is in trouble
The menu prices are very high - my local one is nearly fifteen quid for an American Hot Pizza which is bonkers. Of course most people have some sort of voucher to bring the price down and make it seem like a good deal - often it isn't.

My local one is emptyish most of the time, while other independent nearby pizza places are cheaper, better and busier.
IP: Logged
go_nads Posted on 07/10/2019 13:08

Looks like Pizza Express is in trouble
The pizza is ok, much better than a takeaway or the likes of Pizza Hut, but itís far to expensive.

Even when you have a voucher, the price of drinks is far too much. I can see Wagamama going tits up too. Used to love it, was in on Friday £55 quid for lunch for two, it was pretty empty.

As for sitting at home with a box set and a takeaway - no wonder the physical and mental health of the nation is so poor. Not having a go at the poster btw, heís right, thatís what people do.
IP: Logged
1finny Posted on 07/10/2019 13:12

Looks like Pizza Express is in trouble
The joke doing the rounds

If Pizza Express folds....
Will it be renamed as...

Calzone Express
IP: Logged
newusername Posted on 07/10/2019 13:41

Looks like Pizza Express is in trouble
When it opened & right up to the late 90's - early 00's, it was a decent mid market branded restaurant that an extended family/friends group in an unfamiliar town could go to & there'd be something for everyone, but it just hasn't moved on.

I could count on one hand the number of times we've been in one in the last 15 years.

I'd be sad to see it go but I wouldn't miss it.
IP: Logged
Greenandblack Posted on 07/10/2019 13:47

Looks like Pizza Express is in trouble
Actually, operationally Pizza Express is doing quite well.

It's the interest on a big bond that is crushing the company and causing the loss.

A profit of £48 million or so is turned into a loss of £55 million by a debt mountain.

It would be a good business for some company to buy, if it can be financed in cash rather than debt.
IP: Logged
atypical_boro Posted on 07/10/2019 13:47

Looks like Pizza Express is in trouble
Probably about right newusername, but its the same with many of the mid-range chains and they don't seem to have cornered the youth market.

I feel as though nowadays people want to feel like they're getting something that will impress their social media followers when they eat out. A decent solid perfectly nice pizza on a 2 for 1 with your NUS card isn't really cutting the mustard anymore.
IP: Logged
Jostler Posted on 07/10/2019 14:34

Looks like Pizza Express is in trouble
I used to goo to pizza express quite a bit when at uni / first graduated. It was an easy place to go with friends for food and a few drinks.

I haven't been for ages and tbh, I couldn't even tell you why as I don't mind the food and you can always get a deal.

I think mid range change restaurants in general are just not what people want and there are way to many itallian versions of them.

These days noww I'm in my 30's, the almost automatic option is to find a decent, independent country pub / restaurant and go there instead.

I mean you can go somewhere like the Star Inn Harome and pick up a Michelin Star lunch for £20 for 2 courses if you pick the local menu. And the atmosphere is a lot more friendly than in chain restaurants
IP: Logged
JLinardi Posted on 07/10/2019 15:21

Looks like Pizza Express is in trouble
Pizza Expressí problem is they donít seem to have a niche. They are one of the Ďretail parkí type restaurants but what do they actually do? Pizza Hut have the Ďfamily funí thing sewn up, Nandoís have the teenagers/students eating out of their hands and places like Pret, subway cater for the Ďhealthyí side of fast food. Pizza express is just there and doesnít seem to have any kind of brand recognition, people probably go if Pizza Hut is full.
IP: Logged
Adi_Dem Posted on 07/10/2019 15:42

Looks like Pizza Express is in trouble
What in the XXXXXX has Halal chicken got to do with this Rico?
IP: Logged
festa5 Posted on 07/10/2019 16:06

Looks like Pizza Express is in trouble
Only been about 3 times over the years. The only impression I really came away with, apart from how utterly average it was, was that the "express" part of the name was pretty ironic (in my experience anyway).
IP: Logged
parnabyscrosses Posted on 07/10/2019 16:10

Looks like Pizza Express is in trouble
"A bit of bread with £1.50 to have half a mushroom put on top"

What is that in reference too?
IP: Logged
LowKey Posted on 07/10/2019 16:10

Looks like Pizza Express is in trouble
£7 for a 660ml Peroni [xx(][xx(][xx(]
IP: Logged
jam69 Posted on 07/10/2019 16:18

Looks like Pizza Express is in trouble
as above far better than pizza hut, but not a patch on barbarousa
IP: Logged
Ironops Posted on 07/10/2019 16:21

Looks like Pizza Express is in trouble
Pizza hut is cheap though - I take my little lad sometimes, free salad bar, bottomless drinks, Ice cream and we both get a decent sized pizza and the bill is about £20
IP: Logged
TheFair86 Posted on 07/10/2019 16:32
Edited On: 07/10/2019 16:38
Looks like Pizza Express is in trouble
yeah I am sure its halal chicken the cause of their woes, JFC [:X]

Pizza Express isn't bad quality, just not great. Went there first time in ages 2 weeks ago with parents as they had vouchers for it from Tesco that needed using up. The food was nice, the service was terrible. Kept asking for the bill and took 25 minutes, and wasn't that busy. As someone said above, you are daft to pay full price as always deals going, but for those that aren't deal savvy those prices will put them off. The trouble is you can get better pizza for less at places like Barbarosa, and they don't really have great brand recognition themselves. Its upmarket prices but not upmarket quality. If their prices were voucher level for the general public they would probably be killing it.
IP: Logged
London_Boro Posted on 07/10/2019 16:37

Looks like Pizza Express is in trouble
Doh...balls
IP: Logged
Brick_Tamland Posted on 07/10/2019 17:16

Looks like Pizza Express is in trouble
I've always been quite happy going to Pizza Express. The drinks are quite expensive, however. Still one of the better high street food franchises. Never bother with Nando's.
IP: Logged
atomicloonybin Posted on 07/10/2019 19:59

Looks like Pizza Express is in trouble
Went to the Teesside Park one for my birthday earlier this year. It was a disaster. Quiet Tuesday night, can't have been more than 15 people in.

Took 30 minutes to take order. 15 minutes later, the starters arrived. Two HOURS later, after numerous complaints and being told it was "on its way", the main pizzas arrived. People were walking out left, right and centre, unserved.

I did get the meal comped, just paid for the drinks. It wasn't the staffs fault, I was talking to one of the waitresses and she said that new senior management had come in, had changed the entire ordering and cooking system without warning, and not given them enough staff in to cope. I was still bemused at how it would take two hours to cook pizza for 15 people, but there we are.

There's always someone who gets a lot of money who thinks they're cleverer than everyone else. Despite it being a crap night, I did feel sorry for the staff who genuinely looked bewildered,and are probably losing their jobs now.
IP: Logged
boromike85 Posted on 07/10/2019 20:34

Looks like Pizza Express is in trouble
I think their problem is that previously if you wanted pizza you went to an Italian or you went cheap, fast food like pizza hut so Pizza Express was in the middle by being a bit fancier than pizza hut because it was proper pizza. Now, every other restaurant or pub has a good pizza oven and can make a good pizza and it'll be a decent price.

I only go now if out with kids as it's family friendly and conveniently located. I think it's fairly decent value for the food but drinks can be a bit pricy which isn't usually an issue if out with the family.
IP: Logged
jam69 Posted on 07/10/2019 20:48

Looks like Pizza Express is in trouble
the Peroni is dear but it's not 7 quid, it's 3.95
IP: Logged
clay_davis Posted on 07/10/2019 22:15

Looks like Pizza Express is in trouble
Greenandblack is correct.

There's nothing wrong with the core business model, there are no problems with changing dining habits or competition from Deliveroo/JustEat etc and they aren't failing to make money; their EBITDA is great.

The problem is they were taken over by venture capitalists who drained cash from the company and plugged the gap with *huge* debt. So they still rake in the profits, but it all goes on interest.
IP: Logged
JLinardi Posted on 07/10/2019 23:29

Looks like Pizza Express is in trouble
Just tried to look at their menu to see the prices and itís down, looks like they might be done.
IP: Logged
go_nads Posted on 07/10/2019 23:44

Looks like Pizza Express is in trouble
6.95 for a large peroni.
IP: Logged
brattleboro Posted on 08/10/2019 06:16

Looks like Pizza Express is in trouble
hopefully nandos next,they are rank,how anyone would eat there i dont know[:D]
IP: Logged
Abel_Tasman Posted on 08/10/2019 07:27

Looks like Pizza Express is in trouble
Nandoís is doing very well judging from the experience in my North London suburb. Nandoís is always packed whereas Pizza Express is rarely half full and when it is probably on 2-1 vouchers.

The casual dining sector is notoriously fickle. Pizza Express has had its day as has Thai chain Eat Thai Busaba who have closed a few restaurants also.

Wagamamas continues to flourish.
IP: Logged
atypical_boro Posted on 08/10/2019 08:24

Looks like Pizza Express is in trouble
£6.95 for a 660ml Peroni is like paying £3.50 for a 330ml bottle.

I donít know if Iím drinking in the wrong pubs but I reckon youíd struggle to get a bottle of Peroni anywhere for under £3.50, certainly not in a restaurant. Hardly what Iíd call extortionate.
IP: Logged
TheFair86 Posted on 08/10/2019 08:28

Looks like Pizza Express is in trouble
Website is working fine for me jlinardi

Always interesting these threads - e.g describing Nandoís as rank. Itís hardly fine dining but itís chargrilled chicken, itís hard to get wrong and obviously they arenít getting it wrong as itís always packed. Do you just not like grilled chicken or something?
IP: Logged
viperboy Posted on 08/10/2019 08:45

Looks like Pizza Express is in trouble
At least when MC donalds were in trouble in the early noughties I think it was, they owned prime sites that saved the English company,now most are franchised. Never been in pizza express. Looked over priced,the owner had been on a BBC reality show ,a restaurant version of dragons den, where the CEO was investing in new restaurants. Mary portous does a show each year, reviewing retail habits,last year it featured how many restaurants like pizza express known as casual dining were in trouble. How many had closed outlets down just to survive.
IP: Logged
TheFair86 Posted on 08/10/2019 09:06

Looks like Pizza Express is in trouble
they're definitely overpriced, but you can almost always get a 50% off food voucher, they do NUS offers regularly and tesco vouchers I think are worth £3 for every £1 if I remember correctly, so really its only if you aren't a savvy shopper that its an expensive place to eat. 2-for-1 mains, 3 course for £15, 30% off discount any time with NUS, regular 50% off vouchers, cheap deal nights etc, its harder to overpay than it is to not.

As said above they aren't in trouble because of their prices, food quality, menu range, footfall etc - they are in trouble because of the debt the company is servicing - they are turning an operational profit, which is turning into a loss through that debt.
IP: Logged
CardiffDaffs Posted on 08/10/2019 10:57

Looks like Pizza Express is in trouble
As far as I can remember McDonalds have operated a franchise model in the UK.
IP: Logged
atypical_boro Posted on 08/10/2019 11:03

Looks like Pizza Express is in trouble
Nando's is an odd one and really polarises strong emotions in people.

I can see why someone would find it a bit overpriced or not worth queuing for, absolutely, but some people hate it so much that they seem to resent the people who go there purely for liking it! Just don't go if its not your bag. And as Fair says, its chicken and chips (sometimes in a bun and/or doused in hot sauce), and about as good a chicken and chips as you can get, as basic as that meal is.
IP: Logged
TheFair86 Posted on 08/10/2019 11:24

Looks like Pizza Express is in trouble
McDonalds still owns many of its sites, it operates the franchise model in tandem with company operated, but most are franchised.

They've been doing franchises in the UK since 1986. Mcdonalds owns the freehold on the properties the franchises are based in however, and franchisees pay a 20 year lease, paying rent and service fees during that lease. In 2015 there were 152 franchisees in the UK, running 866 stores which was 69% of McDonalds UK's 1470 stores.
IP: Logged
brattleboro Posted on 08/10/2019 19:23

Looks like Pizza Express is in trouble
each to their own i suppose[8D]
IP: Logged
crosg31 Posted on 08/10/2019 22:52

Looks like Pizza Express is in trouble
Over 1 billion in debt. Thatís a lot of dough
IP: Logged
BigmetsBoro86 Posted on 09/10/2019 06:21

Looks like Pizza Express is in trouble
Never a fan really. Think I've eaten in pizza express 2-3 times in my lifetime.

I used to look at it as a 'posh' pizza place. I clearly now know its not and it was just the prices and 'weird' named pizzas[;)]

I'm still more a pizza hut kinda guy. That said I can't really remember the last time I ate pizza out.

I'm more an Indian and Nandos guy[^]
IP: Logged
shaboro1986 Posted on 09/10/2019 08:50

Looks like Pizza Express is in trouble
Only went to Pizza Express once, never again.
The pizzas we ordered came with very sparce toppings, i've had better really cheap frozen ones with more toppings on. The service was sh!te, Took ages to be served, then waiting for the meal. I had vouchers and it still cost a bomb. The woman serving us was horrible. Never ever again.
As for Nandos, we went in one in Manchester, sat down, picked up the menu, looked at the prices and got up and walked out. Maybe i'm just a tight @rse.
IP: Logged
Lefty Posted on 09/10/2019 15:18

Looks like Pizza Express is in trouble
An excellent Chris McCrudden thread, brought to my attention by Jay Rayner, detailing what happened with Pizza Express.

Interesting the involvement of the same people behind Patisserie Valerie.



Link: Pizza Express
IP: Logged
Greenandblack Posted on 10/10/2019 06:46

Looks like Pizza Express is in trouble
I doubt there's any fraud involved at Pizza Express. It's just a company suffocated by a giant debt. It'll be a good purchase for some business that can finance it without borrowing.
IP: Logged
KingOfTheTribes Posted on 10/10/2019 08:51

Looks like Pizza Express is in trouble
I can't see how it makes money apart from the Supermarket Pizzas. Everyone who eats in seems to use a 50% off voucher.
IP: Logged
TheFair86 Posted on 10/10/2019 10:40

Looks like Pizza Express is in trouble
Because pizza costs knack all to make, especially with large economies of scale. There are people that donít know about vouchers, but even at voucher price the margins on a pizza are good.
IP: Logged
redwurzel Posted on 10/10/2019 12:18

Looks like Pizza Express is in trouble
Their Pizzas seem more factory made than when I first used them 15 years ago and they are struggling to keep the brand and product commercially fresh. Their extras are very expensive e.g. £2.50 for a small salad bowl that would be 50p in a supermarket.

For mass market Italian food Zizis seems more interesting.

The competition for restaurants seems to increasing all the time and at present I don't think the demand is increasing at the same rate. In many parts of the country its a struggle to find decent staff now the Eastern EU supply line of cheap young people has almost dried up.
IP: Logged
atypical_boro Posted on 10/10/2019 13:45

Looks like Pizza Express is in trouble
Would you honestly say £2.50 is expensive for a salad bowl in a restaurant? 50p in a supermarket perhaps, but they have overheads and what not to pay for, plus of course they're a profit making organisation. I'd say £2.50 is pretty standard to be honest, certainly won't be the reason they're going bust.
IP: Logged
TheFair86 Posted on 10/10/2019 14:03

Looks like Pizza Express is in trouble
if anything £2.50 would be cheap in a restaurant - how many places do you go to that sells things the same price in a supermarket? A can of cider is about 50 pence in a supermarket but a lot more expensive in pubs but people still go to pubs

as has been said many times now, its almost getting tedious, they are operating at a profit so their model and products obviously work. the only reason they are struggling is because of existing debt from the private equity deal.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213